<?php 
function sherkati_style_script() {
  wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css' );
  wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.min.css' );
  wp_enqueue_style( 'awesome4', get_template_directory_uri() . '/css/font-awesome-4.css' );
  wp_enqueue_style( 'fancybox', get_template_directory_uri() . '/css/jquery.fancybox.css' );
  wp_enqueue_style( 'plyr', get_template_directory_uri() . '/css/plyr.css' );
  wp_enqueue_style( 'style', get_stylesheet_uri() );

  wp_enqueue_script( 'jquery', get_template_directory_uri() . '/js/jquery-3.5.1.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'wow', get_template_directory_uri() . '/js/wow.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'animatescroll', get_template_directory_uri() . '/js/animatescroll.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'sticky', get_template_directory_uri() . '/js/jquery.sticky.js', array(), '1.0.0', true );
  wp_enqueue_script( 'fancybox', get_template_directory_uri() . '/js/jquery.fancybox.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'plyr', get_template_directory_uri() . '/js/plyr.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'easy-ticker', get_template_directory_uri() . '/js/jquery.easy-ticker.js', array(), '1.0.0', true );
  wp_enqueue_script( 'counterup', get_template_directory_uri() . '/js/jquery.counterup.min.js', array(), '1.0.0', true );
  wp_enqueue_script( 'waypoints', get_template_directory_uri() . '/js/jquery.waypoints.js', array(), '1.0.0', true );
  wp_enqueue_script( 'index', get_template_directory_uri() . '/js/index.js', array(), '1.0.0', true );
}
add_action( 'wp_enqueue_scripts', 'sherkati_style_script' );

function register_my_menus() {
  register_nav_menus(
    array(
      'main-menu' => __( 'منوی اصلی بالا' ),
      'extra-menu' => __( 'منوهای اضافی' )
    )
  );
}
add_action( 'init', 'register_my_menus' );


require_once dirname( __FILE__ ) . '/cmb2/init.php';
  require_once dirname( __FILE__ ) . '/functions/cmb2-functions.php';
  require_once dirname( __FILE__ ) . '/functions/cmb2-metabox.php';



  function create_posttype() {
 
    register_post_type( 'sampele-work',
    // CPT Options
        array(
            'labels' => array(
                'name' =>'نمونه کارها',
                'singular_name' =>'نمونه کار'
            ),
            'public' => true,
            'has_archive' => true,
            'rewrite' => array('slug' => 'sampele-work'),
            'show_in_rest' => true,
            'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields' ),
            'taxonomies'          => array( 'genres' ),
            
        )
    );

}
    
  function posttype_slider() {
 
    register_post_type( 'slider',
    // CPT Options
        array(
            'labels' => array(
                'name' =>' اسلایدر',
                'singular_name' =>'اسلاید ',
              //  'menu_name'           => 'نام در منو',
              //  'parent_item_colon'   => __( 'Parent Movie', 'twentytwenty' ),
             //   'all_items'           =>'همه اسلایدها',
              //  'view_item'           => __( 'View Movie', 'twentytwenty' ),
               'add_new_item'        => 'افزودن اسلاید',
              'add_new'             => 'افزودن اسلاید',
           //   'edit_item'           => 'ویرایش اسلاید',
            //   'update_item'         => __( 'Update Movie', 'twentytwenty' ),
                'search_items'        => 'جستجوی اسلاید',
           //     'not_found'           => __( 'Not Found', 'twentytwenty' ),
//                 'not_found_in_trash'  => __( 'Not found in Trash', 'twentytwenty' ),
            ),
            'public' => true,
            'has_archive' => true,
            'rewrite' => array('slug' => 'slider'),
            'show_in_rest' => true,
            'supports'            => array( 'title', 'editor','excerpt','comments' ,'author', 'thumbnail',  'revisions', 'custom-fields' ),
            'taxonomies'          => array( 'genres' ),
            'add_new_item'        =>'اضافه کردن اسلاید',
            'add_new'             => 'مورد جدید',
            
        )
    );
}
// Hooking up our function to theme setup
add_action( 'init', 'create_posttype' );
add_action( 'init', 'posttype_slider' );


add_theme_support( 'post-thumbnails' );

?>
<?php

function my_widget() {

	register_sidebar( array(
		'name'          => 'خبرنامه',
		'id'            => 'newslater',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '',
		'after_title'   => '',
  ) );
  register_sidebar( array(
		'name'          => 'سایدبار',
		'id'            => 'left_sidebar',
		'before_widget' => '<div class="viget_box">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
  ) );
  
  register_sidebar( array(
		'name'          => 'سایدبارکلی',
		'id'            => 'base_sidebar',
		'before_widget' => '<div class="viget_content_base">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	) );


}
add_action( 'widgets_init', 'my_widget' );

?>
<?php
function widget_galery() {
  register_sidebar(array(
    'name'          => 'گالری تصاویر',
		'id'            => 'galery',
		'before_widget' => '<li><a data-fancybox>   ',
		'after_widget'  => '</a></li>',
		'before_title'  => '',
		'after_title'   => '',
  ));
}
add_action( 'widgets_init', 'widget_galery' );

?>

<?php
function menu_foot() {
  register_nav_menus(
    array(
      'footer-menu' => __( ' منوی فوتر' ),
      'extra-menu' => __( ' ' )
    )
  );
}
add_action( 'init', 'menu_foot' );
  
// Register Custom Taxonomy
function custom_taxonomy() {

	$labels = array(
		'name'                       => _x( 'دسته بندی فعالیتها', 'Taxonomy General Name', 'text_domain' ),
		'singular_name'              => _x( 'فعالیت', 'Taxonomy Singular Name', 'text_domain' ),
		'menu_name'                  => __( 'دسته بندی فعالیت ها', 'text_domain' ),
		'all_items'                  => __( 'All Items', 'text_domain' ),
		'parent_item'                => __( 'Parent Item', 'text_domain' ),
		'parent_item_colon'          => __( 'Parent Item:', 'text_domain' ),
		'new_item_name'              => __( 'New Item Name', 'text_domain' ),
		'add_new_item'               => __( 'Add New Item', 'text_domain' ),
		'edit_item'                  => __( 'Edit Item', 'text_domain' ),
		'update_item'                => __( 'Update Item', 'text_domain' ),
		'view_item'                  => __( 'View Item', 'text_domain' ),
		'separate_items_with_commas' => __( 'Separate items with commas', 'text_domain' ),
		'add_or_remove_items'        => __( 'Add or remove items', 'text_domain' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'text_domain' ),
		'popular_items'              => __( 'Popular Items', 'text_domain' ),
		'search_items'               => __( 'Search Items', 'text_domain' ),
		'not_found'                  => __( 'Not Found', 'text_domain' ),
		'no_terms'                   => __( 'No items', 'text_domain' ),
		'items_list'                 => __( 'Items list', 'text_domain' ),
		'items_list_navigation'      => __( 'Items list navigation', 'text_domain' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => false,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'type_action', array( 'sampele-work' ), $args );

}
add_action( 'init', 'custom_taxonomy', 0 );